##
##  libecap.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2015 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         libecap
Summary:      Embedded ICAP
URL:          http://www.e-cap.org/
Vendor:       Alex Rousskov
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Web
License:      MIT
Version:      1.0.1
Release:      20150611

#   list of sources
Source0:      http://www.measurement-factory.com/tmp/ecap/libecap-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, gcc, gcc::with_cxx = yes
PreReq:       OpenPKG, openpkg >= 20100101

%description
    eCAP is a software interface that allows a network application, such
    as an HTTP proxy or an ICAP server, to outsource content analysis
    and adaptation to a loadable module. For each applicable protocol
    message being processed, an eCAP-enabled application supplies the
    message details to the adaptation module and gets back an adapted
    message or a "not interested" response. These exchanges often
    include message bodies. If you are familiar with the ICAP protocol
    (RFC 3507), then you may think of eCAP as an "embedded ICAP", where
    network interactions with an ICAP server are replaced with function
    calls to an adaptation module.

%track
    prog libecap = {
        version   = %{version}
        url       = http://www.e-cap.org/Downloads
        regex     = libecap-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O}" \
    CXXFLAGS="%{l_cxxflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --disable-shared
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

